Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetSource Class Reference

`#include <vtkDataSetSource.h>`

Inheritance diagram for vtkDataSetSource:

[legend]
Collaboration diagram for vtkDataSetSource:

[legend]
List of all members.

## Detailed Description

abstract class whose subclasses generate datasets

Date:
  2002/10/04 20:43:43

Revision:
  1.17

vtkDataSetSource is an abstract class whose subclasses generate datasets.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (73%)
  - Cedilnik, Andy (18%)
  - Biddiscombe, John (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkDataSetSource.cxx)`
  - .`h` (`/Filtering/vtkDataSetSource.h)`

Definition at line 44 of file vtkDataSetSource.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkDataSet *)
vtkDataSet * | GetOutput ()
vtkDataSet * | GetOutput (int idx)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataSetSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetSource ()
| ~vtkDataSetSource ()

## Member Typedef Documentation

typedef vtkSource vtkDataSetSource::Superclass

| Reimplemented from vtkSource. Reimplemented in vtkCastToConcrete, vtkDataSetToDataSetFilter, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, vtkEnSightReader, vtkGenericEnSightReader, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter. Definition at line 47 of file vtkDataSetSource.h.

## Constructor & Destructor Documentation

vtkDataSetSource::vtkDataSetSource | ( |  | ) | `[protected]`

vtkDataSetSource::~vtkDataSetSource | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkDataSetSource.h.

## Member Function Documentation

virtual const char* vtkDataSetSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkCastToConcrete, vtkDataSetToDataSetFilter, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, vtkEnSightReader, vtkGenericEnSightReader, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

int vtkDataSetSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkCastToConcrete, vtkDataSetToDataSetFilter, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, vtkEnSightReader, vtkGenericEnSightReader, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

virtual int vtkDataSetSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkCastToConcrete, vtkDataSetToDataSetFilter, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, vtkEnSightReader, vtkGenericEnSightReader, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

vtkDataSetSource* vtkDataSetSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource. Reimplemented in vtkCastToConcrete, vtkDataSetToDataSetFilter, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, vtkEnSightReader, vtkGenericEnSightReader, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

void vtkDataSetSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource. Reimplemented in vtkCastToConcrete, vtkDataSetToDataSetFilter, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, vtkEnSightReader, vtkGenericEnSightReader, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

vtkDataSet* vtkDataSetSource::GetOutput | ( |  | ) |

| Get the output of this source. Reimplemented in vtkDataSetToDataSetFilter.

vtkDataSet* vtkDataSetSource::GetOutput | ( | int | idx | ) |

| Get the output of this source. Reimplemented from vtkSource. Reimplemented in vtkDataSetToDataSetFilter.

void vtkDataSetSource::SetOutput | ( | vtkDataSet * |  | ) |

The documentation for this class was generated from the following file:

- Filtering/vtkDataSetSource.h